<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />
        <import type="com.doverfuelingsolutions.issp.view.fragment.FragmentLoading" />

        <variable
            name="viewModel"
            type="com.doverfuelingsolutions.issp.view.fragment.FragmentLoading.FragmentHolderViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        style="@style/match">

        <!--loading-->
        <androidx.appcompat.widget.LinearLayoutCompat
            style="@style/wrap"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingVertical="40dp"
            android:paddingHorizontal="80dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.core.widget.ContentLoadingProgressBar
                style="@android:style/Widget.Material.Light.ProgressBar"
                android:layout_width="52dp"
                android:layout_height="52dp"
                android:layout_marginBottom="20dp" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/loadingTip"
                style="@style/wrap"
                android:text="@{viewModel.loadingTip, default=@string/in_loading}"
                android:textSize="18sp" />
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>